#ifndef __GPIO_H__
#define __GPIO_H__

// GPIO usage definition
#define GPIO_LAN_RST            GPIO_10
#define GPIO_ADSL_LNK           GPIO_0
#define GPIO_IP_OK              GPIO_1
#define GPIO_DIE_GASP           GPIO_4
#define GPIO_SYS_OK             GPIO_3
#define GPIO_RESET              GPIO_6
#define GPIO_IP_NG              GPIO_9
#define GPIO_WIRELESS_CONFIG    GPIO_5
#define GPIO_WLAN_RESET		GPIO_13

#define GPIO_VALUE  \
        {{ GPIO_LAN_RST, "lanreset", GPIO_MODE_OUTPUT, 0222, NULL},\
        { GPIO_ADSL_LNK, "adslled", GPIO_MODE_OUTPUT, 0666, NULL},\
        { GPIO_IP_OK, "ipokled", GPIO_MODE_OUTPUT, 0222, NULL},\
        { GPIO_SYS_OK, "sysokled", GPIO_MODE_OUTPUT, 0222, NULL},\
	{ GPIO_IP_NG, "ipngled", GPIO_MODE_OUTPUT, 0222, NULL},\
        { GPIO_RESET, "reset", GPIO_MODE_INPUT, 0444, NULL},\
        { GPIO_WIRELESS_CONFIG, "wps", GPIO_MODE_INPUT, 0666, NULL},\
        { GPIO_WLAN_RESET, "wlanreset", GPIO_MODE_OUTPUT, 0222, NULL},\
        { NULL, NULL, NULL, NULL, NULL} }

#endif 
