#ifndef _IPT_LOG_H
#define _IPT_LOG_H

#define IPT_LOG_TCPSEQ		0x01	/* Log TCP sequence numbers */
#define IPT_LOG_TCPOPT		0x02	/* Log TCP options */
#define IPT_LOG_IPOPT		0x04	/* Log IP options */
#define IPT_LOG_DROPOPT		0x08	/* Log IP options */
#define IPT_LOG_MASK		(IPT_LOG_TCPSEQ | IPT_LOG_TCPOPT | IPT_LOG_IPOPT |IPT_LOG_DROPOPT)

struct ipt_log_info {
	unsigned char level;
	unsigned char logflags;
	char prefix[30];
};

#endif /*_IPT_LOG_H*/
